List pipeline schedules of a pipeline repository
import requests
url = "https://platform.ankra.app/api/v1/org/pipeline-repositories/{repository_id}/pipeline/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/pipeline-repositories/{repository_id}/pipeline/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/pipeline-repositories/{repository_id}/pipeline/schedules \
--header 'Authorization: Bearer <token>'{
"schedules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron": "<string>",
"timezone": "<string>",
"ref": "<string>",
"inputs": {},
"enabled": true,
"next_fire_at": "2023-11-07T05:31:56Z",
"last_fired_at": "2023-11-07T05:31:56Z",
"last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Pipelines
List pipeline schedules of a pipeline repository
Lists the repository’s cron schedules. Needs pipelines.read.
GET
/
api
/
v1
/
org
/
pipeline-repositories
/
{repository_id}
/
pipeline
/
schedules
List pipeline schedules of a pipeline repository
import requests
url = "https://platform.ankra.app/api/v1/org/pipeline-repositories/{repository_id}/pipeline/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/pipeline-repositories/{repository_id}/pipeline/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/pipeline-repositories/{repository_id}/pipeline/schedules \
--header 'Authorization: Bearer <token>'{
"schedules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron": "<string>",
"timezone": "<string>",
"ref": "<string>",
"inputs": {},
"enabled": true,
"next_fire_at": "2023-11-07T05:31:56Z",
"last_fired_at": "2023-11-07T05:31:56Z",
"last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}